Create Customer
POST
https://api.baremetrics.com/v1/{source_id}/customersThis endpoint allows you to create a customer record. After you create the record, you will be able to create a Subscription
It may take a little while for us to fetch all of the profile information for the customer.
Path parameters
source_idstring requiredPlease see Sources
Body
application/jsonnamestringnotesstringYour own notes for this customer. These will be displayed in the profile
emailstringAn email address for this customer. This is used to lookup extra profile information
oidstring requiredYour unique ID for the customer
createdstring · date-timeA unix timestamp of when this customer was created. Defaults to now.
Default
"NOW"
Responses
200OK
{
"customer": {
"oid": "customer_1",
"source_id": "source_1",
"source": "stripe",
"created": 1492605754,
"email": "customer_1@baremetrics.com",
"name": "Customer 1",
"display_image": "https://logo.clearbit.com/baremetrics.com",
"display_name": "Customer 1",
"notes": "Here are some notes",
"ltv": 0,
"is_active": false,
"is_canceled": false,
"current_mrr": 0,
"current_plans": []
}
}400Bad Request
{
"error": "Error message here"
}